summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Vincent Batts2010-10-25 04:10:37 +0200
committer Erik Hanson2010-10-25 14:55:10 +0200
commit2261047aa31b4b990d21e5ac9e5dbed50664fda6 (patch)
tree836c3ff00d13cfa0338bf3a3f59f255ab1ad8374 /games
parentbd030316e405bbad629125ec71986ce03c08ed3f (diff)
downloadslackbuilds-2261047aa31b4b990d21e5ac9e5dbed50664fda6.tar.gz
games/fortune-dharma: Added (dharma for fortune)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fortune-dharma/README4
-rw-r--r--games/fortune-dharma/fortune-dharma.SlackBuild48
-rw-r--r--games/fortune-dharma/fortune-dharma.info10
-rw-r--r--games/fortune-dharma/slack-desc19
4 files changed, 81 insertions, 0 deletions
diff --git a/games/fortune-dharma/README b/games/fortune-dharma/README
new file mode 100644
index 0000000000..a30b0b2fd4
--- /dev/null
+++ b/games/fortune-dharma/README
@@ -0,0 +1,4 @@
+fortune Dharma
+
+Bringing dharma teachings, to your fortune cookies :)
+
diff --git a/games/fortune-dharma/fortune-dharma.SlackBuild b/games/fortune-dharma/fortune-dharma.SlackBuild
new file mode 100644
index 0000000000..0e70b2111b
--- /dev/null
+++ b/games/fortune-dharma/fortune-dharma.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for fortune-dharma
+
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+PRGNAM=fortune-dharma
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make all
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/games/fortune-dharma/fortune-dharma.info b/games/fortune-dharma/fortune-dharma.info
new file mode 100644
index 0000000000..df279e7457
--- /dev/null
+++ b/games/fortune-dharma/fortune-dharma.info
@@ -0,0 +1,10 @@
+PRGNAM="fortune-dharma"
+VERSION="1.0"
+HOMEPAGE="http://github.com/vbatts/fortune-dharma"
+DOWNLOAD="http://github.com/downloads/vbatts/fortune-dharma/fortune-dharma-1.0.tar.gz"
+MD5SUM="fa945c7ad474b3f337b908a96ce70f80"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/games/fortune-dharma/slack-desc b/games/fortune-dharma/slack-desc
new file mode 100644
index 0000000000..1b5921359a
--- /dev/null
+++ b/games/fortune-dharma/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fortune-dharma: fortune-dharma (dharma for fortune)
+fortune-dharma:
+fortune-dharma: Bringing dharma teachings, to your fortune cookies.
+fortune-dharma:
+fortune-dharma:
+fortune-dharma:
+fortune-dharma:
+fortune-dharma:
+fortune-dharma:
+fortune-dharma:
+fortune-dharma: